Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ejb
Interface EJBMetaData

public interface EJBMetaData

The EJBMetaData interface allows a client to obtain the enterprise Bean's meta-data information.

The meta-data is intended for development tools used for building applications that use deployed enterprise Beans, and for clients using a scripting language to access the enterprise Bean.

Note that the EJBMetaData is not a remote interface. The class that implements this interface (this class is typically generated by container tools) must be serializable, and must be a valid RMI/IDL value type.

Method Summary
`EJBHome` | `getEJBHome()` Obtains the home interface of the enterprise Bean.
`Class` | `getHomeInterfaceClass()` Obtains the Class object for the enterprise Bean's home interface.
`Class` | `getPrimaryKeyClass()` Obtains the Class object for the enterprise Bean's primary key class.
`Class` | `getRemoteInterfaceClass()` Obtains the Class object for the enterprise Bean's remote interface.
`boolean` | `isSession()` Tests if the type of the enterprise Bean is "session".
`boolean` | `isStatelessSession()` Tests if the type of the enterprise Bean is "stateless session".

Method Detail

### getEJBHome

    public EJBHome getEJBHome()

  Obtains the home interface of the enterprise Bean.

  Returns:
    The home interface of the enterprise Bean.

### getHomeInterfaceClass

    public Class getHomeInterfaceClass()

  Obtains the Class object for the enterprise Bean's home interface.

  Returns:
    The class object for the enterprise Bean's home interface.

### getRemoteInterfaceClass

    public Class getRemoteInterfaceClass()

  Obtains the Class object for the enterprise Bean's remote interface.

  Returns:
    The class object for the enterprise Bean's remote interface.

### getPrimaryKeyClass

    public Class getPrimaryKeyClass()

  Obtains the Class object for the enterprise Bean's primary key class.

  Returns:
    The class object for the enterprise Bean's primary key class.

### isSession

    public boolean isSession()

  Tests if the type of the enterprise Bean is "session".

  Returns:
    True if the type of the enterprise Bean is session bean.

### isStatelessSession

    public boolean isStatelessSession()

  Tests if the type of the enterprise Bean is "stateless session".

  Returns:
    True if the type of the enterprise Bean is stateless session.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.